/**
 * create by robot
 * date Thu Sep 12 16:16:37 CST 2019
 */

var pageIndex=1;
$(document).ready(function(){
	//调用查询
	pageIndex=StringUtil.getQueryString('pageIndex');
	if(pageIndex==undefined||pageIndex==null){
		pageIndex=1;
	}
	qrCodeQueryInit(pageIndex);

	$(document).on('mouseenter','.listOperaters',function(){
        $(this).children(".ops_itemDiv").show();
        var width=15;
        $(this).children('div').find('li').each(function(){
            //获取li宽度
            width+=$(this).width();
        });
        $(this).children('div').width(width);
    })
    $(document).on('mouseleave','.listOperaters',function(){
        $(this).children(".ops_itemDiv").hide();
    });


	layui.use(['layer', 'laydate'], function() {
        var layer = layui.layer;
    });

    //行选中事件
    $("#allCheck").find("span").click(function() {
        $(this).toggleClass('checked');
        if($(this).hasClass('checked')){
            //所有列选中
          $(".checker").find("span").each(function () {
                 $(this).addClass("checked");
            })
        }else{
            //所有列取消选中
            $(".checker").find("span").each(function () {
                 $(this).removeClass("checked");
            })
        }
    });


    //单个选中
    $(document).on('click','.checkeBox span',function() {
        $(this).toggleClass('checked');
        //设置头部事件
        var length=$('.checkeBox span').length;
        var count=0;
        $(".checkeBox").find("span").each(function () {
            if($(this).hasClass("checked")){
                count++;
            }
       })
        //全选
       if(count==length){
           $("#allCheck").find("span").addClass('checked');
       }else{
           $("#allCheck").find("span").removeClass('checked');
       }
    })
    //左右div高度相等
    var left_content_height = $(".right-content").height();
    $(".left-content").height(left_content_height+35);
    var sub_left_height=$(".res-menu").height(left_content_height-60);
});

//查询
function qrCodeQueryInit(index){
	if(typeof(index)=='undefined'){
		index=1;
    }
    var url=ctx+'/qrCode/queryQrCodeByPage';
    $.ajax({
        url:url,
        type:"post",
        dataType:"json",
        data:{
            "currPage":index,
            "qrNo":$('#qrNo').val(),
            "status":$('#status').val()
        },
        success:function(result){
            $('#data_content').empty();
            var presentPage=result.currPage;
            var header='';
            $.each(result.qrCodeList,function(k,v){
                var orderNumber=(presentPage-1)*12+k+1;
                var qrCode=v;
                var data='';
                data+='<tr class="odd">';
                data+='<td class="textc">';
                data+='		 <div class="checker checkeBox">';        		data+='		 <span class=""  data-id="'+qrCode.id+'"><input type="checkbox"  value=""></span>';
                data+='		</div>';
                data+='</td>';
                data+='<td class="textc">'+orderNumber+'</td>';
                data+='<td class="textc">NO.'+qrCode.qrNo+'</td>';
                data+='<td class="textc">'+(qrCode.orderNo == '' || qrCode.orderNo == null  ? '' : qrCode.orderNo)+'</td>';
                data+='<td class="textc">'+(qrCode.buyMercId == '' || qrCode.buyMercId == null   ? '' : qrCode.buyMercId)+'</td>';
                data+='<td class="textc">'+(qrCode.buyMercName == '' || qrCode.buyMercName == null   ? '' : qrCode.buyMercName)+'</td>';
                data+='<td class="textc">'+(qrCode.actMercId == '' || qrCode.actMercId == null   ? '' : qrCode.actMercId)+'</td>';
                data+='<td class="textc">'+(qrCode.actMercName == '' || qrCode.actMercName == null   ? '' : qrCode.actMercName)+'</td>';
                var status='';
                if(qrCode.status=='1'){
                    status='未出售';
                }else if(qrCode.status=='2'){
                    status='已出售';
                }else{
                    status='已激活';
                }
                data+='<td class="textc">'+status+'</td>';
                var createTime='';
                if(StringUtil.isNotBlank(qrCode.createTime)){
                    createTime= dateFtt("yyyy-MM-dd hh:mm:ss",new Date(qrCode.createTime));
                }
                data+='<td class="textc">'+createTime+'</td>';
                data+='<td class="textc">';
                data+='<div class="positionr listOperaters">';
                data+='		<a href="javascript:void(0);"  class="icon-large dlblock w16 h16"><img src="'+resourcePath+'/images/angle-down.png"/></a>';
                data+='		<div class="ops_box ops_itemDiv positiona clearfix whitebg">';
                data+='			<ul>';
//                data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showQuestionsAnswersDetails('+qrCode.id+')" class="layui-btn fa fa-edit ops_more f12">编辑</a></li>';
                data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="deleteOne('+qrCode.id+')" class="layui-btn layui-btn-radius layui-btn-sm layui-btn-danger fa fa-remove ops_more f12">删除</a></li>';
/*        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showQuestionsAnswersReadDetails('+questionsAnswers.id+')" class="layui-btn fa fa-detail ops_more f12">明细</a></li>';*/
                data+='			</ul>';
                data+='		</div>';
                data+='</div>';
                data+='</td>';
                data+='</tr>';
                $('#data_content').append(data);
                //分页
                $('#pageCount').html(result.pageCount);
                $('#currPage').html(result.currPage);
                $('#totalCount').html(result.count);
                //设置分页
                pageIndex=result.currPage;
                $('#pagination').pagination({
                    pageCount: result.pageCount,
                    jump: true,
                    coping: true,
                    jump: true,
                    homePage: '首页',
                    endPage: '末页',
                    prevContent: '上页',
                    nextContent: '下页',
                    current:result.currPage,
                    callback:function(api){
                        pageIndex=api.getCurrent();
                        qrCodeQueryInit(api.getCurrent());
                    }
                });
            });
        }
    });
	//表头列不选中
	$("#allCheck").find("span").removeClass('checked');
}
function dateFtt(fmt,date)
{ //author: meizz
  var o = {
    "M+" : date.getMonth()+1,                 //月份
    "d+" : date.getDate(),                    //日
    "h+" : date.getHours(),                   //小时
    "m+" : date.getMinutes(),                 //分
    "s+" : date.getSeconds(),                 //秒
    "q+" : Math.floor((date.getMonth()+3)/3), //季度
    "S"  : date.getMilliseconds()             //毫秒
  };
  if(/(y+)/.test(fmt))
    fmt=fmt.replace(RegExp.$1, (date.getFullYear()+"").substr(4 - RegExp.$1.length));
  for(var k in o)
    if(new RegExp("("+ k +")").test(fmt))
  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
  return fmt;
}

function initAddQrCode(){
    $("#qrNoInput").val("");
    layer.open({
        type: 1,
        closeBtn: 1,		title: '添加',
        offset: 'm', //具体配置参考：offset参数项
        area: ['400px', '180px'],
        content: $("#addForm"),
        btn: ['保存','取消'],
        btnAlign: 'r'	, //按钮居中
        shade: 0.3 ,//不显示遮罩
        yes: function() {
            saveQrCode();
        }
    });
}
function initBatchAddQrde(){
  $("#qrNoStartInput").val('');
  $("#qrNoEndInput").val('');
    layer.open({
        type: 1,
        closeBtn: 1,
        title: '批量添加',
        offset: 'm', //具体配置参考：offset参数项
        area: ['500px', '180px'],
        content: $("#addBathForm"),
        btn: ['保存','取消'],
        btnAlign: 'r'	, //按钮居中
        shade: 0.3 ,//不显示遮罩
        yes: function() {
            saveBatchQrCode();
        }
    });
}

function saveQrCode(){
	$.ajax({
		url:ctx+'/qrCode/saveQrCode',
		data:{
			qrNo:$("#qrNoInput").val(),
		},
		type:'POST',
		dataType:'json',
		success:function(res){
			if(res.resultCode == '1'){
			    qrCodeQueryInit(pageIndex);
			    layer.closeAll();
			    $("#qrNoInput").val('');
				layer.msg(res.resultMessage);
			}else{
			    layer.msg(res.resultMessage);
			}
		}
	});
}
function saveBatchQrCode(){
	$.ajax({
		url:ctx+'/qrCode/saveBatchQrCode',
		data:{
			qrNoStart:$("#qrNoStartInput").val(),
			qrNoEnd:$("#qrNoEndInput").val()
		},
		type:'POST',
		dataType:'json',
		success:function(res){
			if(res.resultCode == '1'){
			    qrCodeQueryInit(pageIndex);
			    layer.closeAll();
			    $("#qrNoStartInput").val('');
			    $("#qrNoEndInput").val('')
				layer.msg(res.resultMessage);
			}else{
			    layer.msg(res.resultMessage);
			}
		}
	});
}
function initBatchDeleteCode(){
    var count=0;
    $(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
             count++;
         }
    })
     if(count==0){
        layer.msg('请选中一行记录!');
        return ;
      }

    var idArr = new Array();
    $(".checkeBox").find("span").each(function () {
          if($(this).hasClass("checked")){
            var id=$(this).data('id');
            idArr.push(id);
          }
     })
    var diglog = layer.confirm('确认删除选中的记录吗？', {
     btn: ['确认', '取消'] //可以无限个按钮
     ,btn1: function(index, layero){
       layer.close(diglog);
     }
   }, function(index, layero){
        deleteQrCode(idArr)
   });
}
function deleteQrCode(ids){
    $.ajax({
        url:ctx+'/qrCode/deleteBatchQrCode',
        data:{
            ids:ids
        },
        type:'POST',
        dataType:'json',
        traditional: true,
        success:function(res){
            if(res.resultCode == '1'){
                qrCodeQueryInit(pageIndex);
                layer.closeAll();
                $("#qrNoStartInput").val('');
                $("#qrNoEndInput").val('')
                layer.msg(res.resultMessage);
            }else{
                layer.msg(res.resultMessage);
            }
        }
    });
}

function deleteOne(id){
    var ids = new Array();
    ids.push(id);
    var diglog = layer.confirm('确认删除此条记录吗？', {
     btn: ['确认', '取消'] //可以无限个按钮
     ,btn1: function(index, layero){
       layer.close(diglog);
     }
   }, function(index, layero){
        deleteQrCode(ids)
   });
}

